<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.RankMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.Rank">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="total_score" jdbcType="INTEGER" property="totalScore" />
    <result column="total_rank" jdbcType="VARCHAR" property="totalRank" />
    <result column="quant_score" jdbcType="INTEGER" property="quantScore" />
    <result column="quant_rank" jdbcType="VARCHAR" property="quantRank" />
    <result column="verbal_score" jdbcType="INTEGER" property="verbalScore" />
    <result column="verbal_rank" jdbcType="VARCHAR" property="verbalRank" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `total_score`, `total_rank`, `quant_score`, `quant_rank`, `verbal_score`, `verbal_rank`
  </sql>
</mapper>